import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Write a description of class CheckBox here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class CheckBox extends Actor
{
    private boolean state;
    private Controller controller;
    private int num;   //the CheckBox's number in the controller
    private GreenfootImage image;
    
    public CheckBox()
    {
        this(false);
    }
    
    public CheckBox(boolean state)
    {
        this.state = state;
        draw();
    }
    
    public void act() 
    {
        if(Greenfoot.mouseClicked(this))
        {
            state = !state;
            draw();
            if(controller != null)
            {
                controller.update(num);
            }
        }
    }
    
    public void setController(Controller controller, int num)
    {
        this.controller = controller;
        this.num = num;
    }
    
    public void setState(boolean state)
    {
        this.state = state;
        draw();
    }
    
    public void draw()
    {
        image = new GreenfootImage(20, 20);
        image.fill();
        if(state) {image.setColor(new Color(0, 150, 0));}
        else {image.setColor(new Color(150, 0, 0));}
        image.fillRect(3, 3, 14, 14);
        setImage(image);
    }
}