import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
import java.awt.Font;

/**
 * Write a description of class ControlButton here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ControlButton extends Actor
{
    private Variable variable;
    private boolean isPlus;
    GreenfootImage image;
    
    public ControlButton(Variable variable, boolean isPlus)
    {
        this.variable = variable;
        this.isPlus = isPlus;
        draw();
    }
    
    public void act() 
    {
        if(Greenfoot.mouseClicked(this))
        {
            if(isPlus) {variable.increase();}
            else {variable.decrease();}
        }
    }
    
    private void draw()
    {
        image = new GreenfootImage(20, 20);
        image.fill();
        image.setColor(new Color(180, 180, 180));
        image.fillRect(3, 3, 14, 14);
        image.setColor(new Color(0, 0, 0));
        image.setFont(new Font("Arial", Font.BOLD, 20));
        if(!isPlus) {image.drawString("-", 6, 15);}
        else {image.drawString("+", 4, 17);}
        setImage(image);
    }
}
