import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Controller here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Controller
{
    private CheckBox[] array;
    private int num;     //the index of the CheckBox that is true
    private Centripetal centripetal;
    
    public Controller(CheckBox[] array, Centripetal centripetal)
    {
        this.array = array;
        this.centripetal = centripetal;
        setCheckBoxes();
        update(0);
    }
    
    private void setCheckBoxes()
    {
        for(int i=0; i<array.length; i++)
        {
            array[i].setController(this, i);
        }
    }
    
    public void update(int num)
    {
        for(CheckBox c:array)
        {
            c.setState(false);
        }
        array[num].setState(true);
        centripetal.setVariable(num);
    }
}
